#!/usr/bin/python

#
# Copyright (C) 2008 by OpenMoko, Inc.
# Written by Marek Lindner <marek@openmoko.com>
# All Rights Reserved
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#

import os


def debug(msg):
	print msg

class backlight:
	def __init__(self, name="Backlight"):
		self.name = name
		self.backlight_path = "/sys/class/backlight/pcf50633-bl/brightness"
		self.backlight_cpath = "/etc/backlight.conf"
		self.runnable = 1
		if not (os.path.isfile(self.backlight_path)):
			self.runnable = 0
			self.bright_str = "unknown"
		else:
			self.get_status()
		#debug("enter init device : " + self.name)

	def set_brightness(self, value):
		#debug('set_brightness')
		os.system("echo " + value + " > " + self.backlight_path)
		os.system("echo " + value + " > " + self.backlight_cpath)

	def onclick(self):
		#debug('onclick')
		if self.runnable:
			if (self.brightness > 40):
				self.set_brightness('31')
			else:
				self.set_brightness('63')
			self.get_status()
			self.update_label()

	def init_label(self):
		#debug('init_label')
		self.update_label()

	def get_status(self):
		#debug('get_status')
		file = open(self.backlight_path)
		self.brightness = int(file.readline())
		if (self.brightness > 40):
			self.bright_str = "on"
		else:
			self.bright_str = "off"
		file.close()

	def update_label(self):
		#debug('update_label')
		self.button[1] = self.label_text(self.button[0], self.bright_str)
